All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Class MetadataPerformanceTuning

    com.sas.storage.olap.MetadataPerformanceTuning

    public class MetadataPerformanceTuning

Metadata Performance Tuning Object defines the performance settings for OLAP metadata. The metadata model uses this information to make the remote calls more efficient by bringing over and storing the right amount of data. Each metadata model has a default PerformanceTuning object (with default values) associated with it.

See Also:
  `Metadata`

Field Summary
`static int` | `DEFAULT_BUFFERSIZE` Default buffer or cache size for the member cache.
`static int` | `DEFAULT_LOOKAHEAD` Default look ahead size.
`static int` | `DEFAULT_MAX_FILTERS` Default number of filters to store in the cache

Constructor Summary
`MetadataPerformanceTuning()` Create a default performance tuning object with default values.
`MetadataPerformanceTuning(int bufferSize, int lookAhead, int maxFilters)` Create a performance tuning object with specified buffersize, lookAhead and maxFilters.

Method Summary
`int` | `bufferSize()` Get the buffersize set on the performance tuning object
`int` | `lookAhead()` Get the read ahead value.
`int` | `maxFilters()` Get the number of member filters to store in the cache
`void` | `setCacheParms(int bufferSize, int lookAhead, int maxFilters)` Set the cache properties
`boolean` | `useCache()` Check to see if the cache is being used or not.
`void` | `useCache(boolean useCache)` Set the flag to use the cache or not.

Field Detail

### DEFAULT_BUFFERSIZE

    public static final int DEFAULT_BUFFERSIZE

  Default buffer or cache size for the member cache.

  See Also:
    Constant Field Values

### DEFAULT_LOOKAHEAD

    public static final int DEFAULT_LOOKAHEAD

  Default look ahead size.

  See Also:
    Constant Field Values

### DEFAULT_MAX_FILTERS

    public static final int DEFAULT_MAX_FILTERS

  Default number of filters to store in the cache

  See Also:
    Constant Field Values

Constructor Detail

### MetadataPerformanceTuning

    public MetadataPerformanceTuning()

  Create a default performance tuning object with default values.

### MetadataPerformanceTuning

    public MetadataPerformanceTuning(int bufferSize,
                                     int lookAhead,
                                     int maxFilters)

  Create a performance tuning object with specified buffersize, lookAhead and maxFilters. If -1 is passed in for any of the arguments the default value will be used

  Parameters:
    `bufferSize` - maximum number of elements to store in the cache
    `lookAhead` - number of elements to read ahead when making a server call
    `maxFilter` - number of filters to store in the cache

Method Detail

### useCache

    public boolean useCache()

  Check to see if the cache is being used or not.

  Returns:
    true if cache is being used to store and retrieve elements from the server, false otherwise

### useCache

    public void useCache(boolean useCache)

  Set the flag to use the cache or not.

  Parameters:
    `useCache` - true if the cache should be used false otherwise. The default value is to use the cache.

### setCacheParms

    public void setCacheParms(int bufferSize,
                              int lookAhead,
                              int maxFilters)

  Set the cache properties

  Parameters:
    `bufferSize` - cache size or -1 to use default value
    `lookAhead` - number of elements to read ahead and store in the cache or -1 to use default value
    `maxFilters` - number of member filters to store in the cache or -1 to use default value

### bufferSize

    public int bufferSize()

  Get the buffersize set on the performance tuning object

  Returns:
    size of the cache

### lookAhead

    public int lookAhead()

  Get the read ahead value.

  Returns:
    read ahead value

### maxFilters

    public int maxFilters()

  Get the number of member filters to store in the cache

  Returns:
    number of member filters

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.